For the complete documentation index, see llms.txt. This page is also available as Markdown.

Restore

Deprecated

Restore a backup to an environment

post

This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}

Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

Body
backupIdstring · uuidOptional
backupVersionstringOptional
databasestringOptional
keystringOptional
resetCustomizationsbooleanOptional
skipRestorePostprocessingbooleanOptional
Responses
default

default response

*/*
post/restore/{environmentId}
POST /rest/restore/{environmentId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 297

{
  "backupId": "123e4567-e89b-12d3-a456-426614174000",
  "backupVersion": "text",
  "database": "text",
  "dgcRestoreOptions": [
    "CUSTOMIZATIONS",
    "CONFIGURATION"
  ],
  "key": "text",
  "managedServiceTypes": [
    "REPOSITORY"
  ],
  "repoRestoreOptions": [
    "DATA",
    "HISTORY"
  ],
  "resetCustomizations": true,
  "skipRestorePostprocessing": true
}
default

default response

Deprecated

Cancel a restore operation in progress

put

This endpoint is deprecated since 2025.05 and will be removed in the future. Please use PUT /applyConsoleExport/{environmentId}/cancel

Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

Responses
default

default response

*/*
put/restore/{environmentId}/cancel
PUT /rest/restore/{environmentId}/cancel HTTP/1.1
Accept: */*
default

default response

Deprecated

Restore an environment to factory defaults

post

This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /applyConsoleExport/{environmentId}/factoryDefaults

Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

Responses
default

default response

*/*
post/restore/{environmentId}/factoryDefaults
POST /rest/restore/{environmentId}/factoryDefaults HTTP/1.1
Accept: */*
default

default response

Deprecated

Retrieve the state of all steps of the restore operation on a specified environment

get

This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /applyConsoleExport/{environmentId}/state

Path parameters
environmentIdstring · uuidRequired

The ID of the target environment

Responses
default

default response

application/json
get/restore/{environmentId}/state
GET /rest/restore/{environmentId}/state HTTP/1.1
Accept: */*
default

default response

Last updated

Was this helpful?